Subject: Re: [GIT PULL] AlacrityVM guest drivers for 2.6.33

From: Anthony Liguori <[email-masked]>
Date: Tue, 22 Dec 2009 10:21:40 -0600

On 12/22/2009 10:01 AM, Bartlomiej Zolnierkiewicz wrote:
>> new e1000 driver is more superior in architecture and do the required
>> work to make the new e1000 driver a full replacement for the old one.
>>      
> Right, like everyone actually does things this way..
>
> I wonder why do we have OSS, old Firewire and IDE stacks still around then?
>    

And it's always a source of pain, isn't it.

>>> I also personally don't see a big problem in having another set of
>>> virtual drivers -- Linux already has plenty (vmware, xen, virtio, power,
>>> s390-vm, ...) and it's not that they would be a particular maintenance
>>> burden impacting the kernel core.
>>>        
> Exactly, I also don't see any problem here, especially since AlacrityVM
> drivers have much cleaner design / internal architecture than some of their
> competitors..
>    

Care to provide some actual objective argument to why it's better than 
what we already have?

Regards,

Anthony Liguori